﻿%%FRAGMENTINPUT_STRUCT%%

%%FRAGMENTOUTPUT_STRUCT%%

%%SAMPLERFRONT_BINDING%% var samplerFront : sampler;
%%TEXTUREFRONT_BINDING%% var textureFront : texture_2d<f32>;

struct ShaderParams {
	dotsx : f32,
	dotsy : f32	
};

%%SHADERPARAMS_BINDING%% var<uniform> shaderParams : ShaderParams;

%%C3PARAMS_STRUCT%%

%%C3_UTILITY_FUNCTIONS%%


@fragment
fn main(input : FragmentInput) -> FragmentOutput
{

	let front: vec4<f32> = textureSample(textureFront, samplerFront, input.fragUV);
	var pixelSize : vec2<f32> = c3_getPixelSize(textureFront);

	if (((input.fragUV.x / pixelSize.x) % (shaderParams.dotsx)) > 1. || ((input.fragUV.y / pixelSize.y) % (shaderParams.dotsy)) > 1.) {
		discard;
	}

	var output : FragmentOutput;
	output.color = front;
	return output;
}